Endpoint: /server/metrics
Returns server metrics.
-
GET
Method & URL
GET https://[server URL]:[port]/admin/v2/server/metrics
GET Body Sample
Copy
GET https://{{host}}/admin/v2/server/metrics HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}
GET Response Body Sample
Copy
{"data": {
"type": "serverMetrics",
"id": "1",
"attributes": {
"activeClientDownloadBytesPerSecond": 0,
"activeClientDownloadCount": 0,
"activeClientUploadBytesPerSecond": 0,
"activeClientUploadCount": 0,
"activeServerDownloadBytesPerSecond": 0,
"activeServerDownloadCount": 0,
"activeServerUploadBytesPerSecond": 0,
"activeServerUploadCount": 0,
"connectedAdminCount": 1,
"connectedUserCount": 0,
"runningAwTaskCount": 0,
"runningEventRuleCount": 0
}
},
"links": {
"self": "admin/v2/server/metrics" }
}
GET PowerShell Sample
Copy
#get Server Metrics
Write-Output "Get Server Metrics"
Write-Output "-----"
$serverMetrics = Invoke-RestMethod -Uri "$baseURL/v2/server/metrics" -Method 'GET' -Headers $authHeader
Write-Output $serverMetrics | ConvertTo-Json
foreach ($server in $serverMetrics.data)
{
Write-Output ("Server $($serverMetrics.data)")
}